#include <GL/glut.h>

/***** function declaration *****/
void draw_triangles(int, GLdouble [][3][3]);

/***** global variable *****/
GLdouble data[2][3][3] = { {{2.3, 2.3, 2.4}, {9.2, 9.5, 9.8}, {8.5, 8.9, 1.2}},
			 {{9.2, 9.5, 9.8}, {8.5, 8.9, 1.2}, {-7.1, 7.1, 7.1}} 
			};

/*** You own rendering operation goes here ***/
void cs390_draw()
{
    glColor4f(0.0, 0.0, 0.32, 1.0);
    glLineWidth(3);
    draw_triangles(2, data);
    glColor4f(1.0, 1.0, 0.0, 1.0);
    glutWireTorus(20.0, 50.0, 10, 20);
    glColor4f(1.0, 0.0, 0.0, 1.0);
    glTranslatef(30.0, 0.0, 1.0);
    glutSolidCube(20.5);
}

/*** Your initialization goes here ***/
/*** for example, read the data from the file ***/
/*** "argc", "argv" are actual command line arguments passed in ***/
void cs390_init(int argc, char **argv)
{
}

/*** Primitivie which draws a set of triangles ***/
void draw_triangles(int n, GLdouble data[][3][3])
{
    int i;

    glBegin(GL_TRIANGLES);
	for(i = 0; i < n; i++) {
	    glVertex3dv(&data[i][0][0]);
	    glVertex3dv(&data[i][1][0]);
	    glVertex3dv(&data[i][2][0]);
	}
    glEnd();
}

